Plank.DockController – plank Reference Manual

# DockController

## Object Hierarchy:

## Description:

public class DockController : DockContainer

A controller class for managing a single dock.

All needed controlling parts will be created and initialized.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public string name { construct; get; }
- public File config_folder { construct; get; }
- public File launchers_folder { get; }
- public DockPreferences prefs { construct; get; }
- public DragManager drag_manager { protected set; get; }
- public HideManager hide_manager { protected set; get; }
- public PositionManager position_manager { protected set; get; }
- public DockRenderer renderer { protected set; get; }
- public DockWindow window { protected set; get; }
- public HoverWindow hover { protected set; get; }
- public DockItemProvider? default_provider { get; }
- public ArrayList<weak DockItem> Items { get; }
  List of all items on this dock
- public ArrayList<weak DockItem> VisibleItems { get; }
  Ordered list of all visible items on this dock

### Creation methods:

- public DockController (string dock_name, File config_folder)
  Create a new DockController which manages a single dock

### Methods:

- public void initialize ()
  Initialize this controller. Call this when added at least one DockItemProvider otherwise the Plank.DefaultApplicationDockItemProvider will be added by default.
- public void add_default_provider ()
  Add the default provider which is an instance of Plank.DefaultApplicationDockItemProvider
- protected override void connect_element (DockElement element)
- protected override void disconnect_element (DockElement element)
- protected override void update_visible_elements ()

### Inherited Members:

All known members inherited from class Plank.DockContainer

- VisibleElements
- Elements
- move_element
- prepare
- add
- prepend
- add_all
- remove

- remove_all
- clear
- update_visible_elements
- move_to
- reset_buffers
- replace
- connect_element

- disconnect_element
- elements_changed
- states_changed
- positions_changed
- placeholder_item
- visible_elements
- internal_elements

All known members inherited from class Plank.DockElement

- Container
- Text
- IsAttached
- IsVisible
- Button
- ClickedAnimation
- HoveredAnimation
- ScrolledAnimation
- AddTime
- RemoveTime
- LastClicked
- LastHovered
- LastScrolled

- LastUrgent
- LastActive
- LastMove
- LastValid
- create_menu_item
- create_menu_item_with_pixbuf
- create_literal_menu_item
- create_literal_menu_item_with_pixbuf
- clicked
- on_clicked
- hovered
- on_hovered

- scrolled
- on_scrolled
- get_dock
- get_menu_items
- get_drop_text
- can_be_removed
- can_accept_drop
- accept_drop
- unique_id
- as_uri
- reset_buffers
- needs_redraw

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count